<?php
/**
 * Copyright © 2016 MB Vienas bitas. All rights reserved.
 * @website    www.magetrend.com
 * @package    MT Email for M2
 * @author     Edvinas Stulpinas <edwin@magetrend.com>
 */

//@codingStandardsIgnoreFile
?>
<?php $_item = $block->getItem() ?>
<?php $_order = $block->getItem()->getOrder();?>
<?php $var = $block->getVarModel();?>
<?php $block->isShipmentItem();?>
<?php
/**
 * @var \Magetrend\Email\Helper\Data $helper
 */
$helper = $block->getHelper(); ?>
<td class="item-col item">
    <table cellspacing="0" cellpadding="0" width="100%">
        <tr>
            <td height="45" width="2%">&nbsp;</td>
            <?php if ($block->showImage()): ?>
            <td class="mobile-hide-img" valign="top">
                <a href="<?php echo $block->getProductUrl($_item);?>"><img width="110" src="<?php echo $block->getItemImage($_item, 'category_page_grid');?>" alt="item1"></a>
            </td>
            <?php endif; ?>

            <td class="product" width="100%">
                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td align="left" style="text-align: left">
                            <span class="mteditor-color product-name" <?php echo $var->getHtmlAttribute('style', 'order_item_name_text', 'color: #4d4d4d; font-weight:bold;'); ?>>
                                <?php echo $block->escapeHtml($_item->getName()) ?>
                            </span>
                        </td>
                    </tr>
                </table>
                <table cellpadding="0" width="auto" cellspacing="0" border="0">
                    <?php if (!$helper->hideSku($_item->getStoreId()) && !$block->hideSku()) :?>
                        <tr>
                            <td height="25" align="left"
                                class="mteditor-color product-options-row-label"
                                <?php echo $var->getHtmlAttribute('style', 'order_item_option_label', 'text-align: left; padding-right: 20px'); ?>
                                <?php echo $var->getTextEditAttribute('order_item_options_sku_text_1');?>>
                                <?php echo $var->getValue('order_item_options_sku_text_1', __("Sku"));?></td>
                            <td class="mteditor-color product-options-row-value"
                                <?php echo $var->getHtmlAttribute('style', 'order_item_option_value', 'text-align: left'); ?>
                            ><?php echo $block->escapeHtml($block->getSku($_item)) ?></td>
                        </tr>
                    <?php endif; ?>

                    <?php if ($block->getItemOptions()): ?>
                        <?php foreach ($block->getItemOptions() as $option): ?>
                            <tr>
                                <td class="mteditor-color product-options-row-label" align="left"
                                    <?php echo $var->getHtmlAttribute('style', 'order_item_option_label', 'text-align: left; padding-right: 20px'); ?>>
                                    <?php echo $option['label'] ?>
                                </td>

                                <td align="left" class="mteditor-color product-options-row-value"
                                    <?php echo $var->getHtmlAttribute('style', 'order_item_option_value', 'text-align: left'); ?>>
                                    <?php echo nl2br($option['value']) ?>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    <?php endif; ?>

                    <?php if ($links = $block->getLinks()): ?>
                        <?php $links = $links->getPurchasedItems(); ?>

                        <tr>
                            <td  colspan="2" align="left" class="mteditor-color order-download-label"
                                <?php echo $var->getHtmlAttribute('style', 'order_item_download_label', 'text-align: left;'); ?>
                                <?php echo $var->getTextEditAttribute('order_item_download_title');?>>
                                <?php echo $var->getValue('order_item_download_title', $block->getLinksTitle());?></td>
                            </td>

                        </tr>


                        <?php foreach ($links as $link): ?>
                            <tr>
                                <td colspan="2"  align="left" class="mteditor-color product-download-link"
                                    <?php echo $var->getHtmlAttribute('style', 'order_item_download_link', 'text-align: left'); ?>>
                                    <?php echo $block->escapeHtml($link->getLinkTitle()) ?>
                                    (<a style="text-decoration: none;"  href="<?php echo $block->getPurchasedLinkUrl($link) ?>"><?php echo /* @escapeNotVerified */  __('Download') ?></a>)
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    <?php endif; ?>
                </table>
            </td>
        </tr>
    </table>
</td>

<td <?php echo $var->getHtmlAttribute('style', 'order_item_name_text_qty', 'text-align: right'); ?>
        class="mteditor-color item-col" valign="top" align="right">
    <?php if ($_item->getQty() == 0 && $_item->hasData('qty_ordered')) :?>
        <?php echo $_item->getQtyOrdered()*1 ?>
    <?php else: ?>
        <?php echo (int)$_item->getQty()*1 ?>
    <?php endif; ?>
</td>

<?php if (!$this->isShipmentItem()) : ?>
    <td
        <?php echo $var->getHtmlAttribute('style', 'order_item_name_text_subtotal', 'text-align: right'); ?>
            align="<?php echo $block->isRTL()?'left':'right';?>" valign="top" class="mteditor-color item-col" >
        <?php echo /* @escapeNotVerified */  $block->getPrice($_item); ?>

        <?php if ($block->showFPT()) : ?>
            <br/>
            <span class="mteditor-color product-fpt-price" <?php echo $var->getHtmlAttribute('style', 'order_item_fpt_price'); ?>>
                <?php echo $block->getFormattedWeeeTax() ?>
            </span>
        <?php endif; ?>
    </td>
<?php endif; ?>

